package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.visitor.Visitor;

/**
 * Interface that all RPN nodes need to implement.
 */
public interface Node
{
	/**
	 * Method to implement double dispatch (the visitor pattern) on the node hierarchy.
	 * @param visitor Visitor
	 * @throws Exception 
	 */
	public void accept (Visitor visitor) throws Exception;
}
